package org.relaxng.datatype;

/**
 * diagnostic information of datatype validation errror.
 * 
 * @author <a href="mailto:kohsuke.kawaguchi@eng.sun.com">Kohsuke KAWAGUCHI</a>
 */
public class DataTypeErrorDiagnosis {
	/** lexcial representation of data that caused an error */
	public final String content;
	
	/** against which datatype validation was performed? */
	public final DataType type;
	
	/**	diagnosis message */
	public final String message;
	
	/** column number of the error source
	 *
	 * if this value is UNKNOWN, it means no column number information is available.
	 */
	public final int column;
	
	public static int UNKNOWN = -1;
	
	public DataTypeErrorDiagnosis( DataType type, String content, int column, String msg ) {
		this.content = content;
		this.type = type;
		this.column = column;
		this.message = msg;
	}
}
