package org.relaxng.datatype;

/**
 * one datatype library
 * 
 * @author <a href="mailto:kohsuke.kawaguchi@eng.sun.com">Kohsuke KAWAGUCHI</a>
 */
public interface DataTypeLibrary {
	
	/** gets the namespace URI of this library. */
	String getNamespaceURI();
	
	/**
	 * creates a new type incubator instance.
	 * 
	 * @param baseTypeLocalName
	 *		local name of the base type.
	 */
	TypeIncubator createTypeIncubator( String baseTypeLocalName )
		throws DataTypeException;
	
	/**
	 * gets a pre-defined type.
	 * 
	 * This is just a short-cut of createTypeIncubator(name).derive();
	 */
	DataType getType( String localTypeName ) throws DataTypeException;
}
